/* Banana-Chat - The first Open Source Knuddels Emulator
 * Copyright (C) 2011 - 2012 Flav <http://banana-coding.com>
 * 
 * Diese Dateien unterliegen dem Coprytight von Banana-Coding und
 * darf verändert, aber weder in andere Projekte eingefügt noch
 * reproduziert werden.
 * 
 * Der Emulator dient - sofern der Client nicht aus Eigenproduktion
 * stammt - nur zu Lernzwecken, das Hosten des originalen Knuddels Clients
 * ist auf eigene Gefahr und verstößt möglicherweise gegen Schutzrechte
 * der Knuddels.de GmbH & Co KG
 * 
 * Autoren: Flav (Grundversion), Localhost (Erweiterte Version), Kokos-Ice (Erweiterte Version)
 */



package tools;

public class ProfileTools {

	public static String getOS(String agent) {
		agent = agent.toLowerCase();
		
		if(agent.contains("windows xp") || agent.contains("nt 5.1")) {
			return "Windows XP";
		} else if(agent.contains("windows vista") || agent.contains("nt 6.0")) {
			return "Windows Vista";
		} else if(agent.contains("windows 7") || agent.contains("nt 6.1")) {
			return "Windows 7";
		} 
		
		return KCodeParser.escape(agent);
	}
	
	public static String getCountry(String host) {
		if(host.endsWith("de") || host.endsWith("net") || host.startsWith("VPS")) {
			return "Germany";
		} else if(host.endsWith("at")) {
			return "Austria";
		} else if(host.endsWith("pl")) {
			return "Poland";
		}

		return KCodeParser.escape(host);
	}

	public static String getBrowser(String agent) {
		agent = agent.toLowerCase();
		
		if(agent.contains("opera")) {
			return "Opera";
		} else if(agent.contains("chrome")) {
			return "Google Chrome";
		} else if(agent.contains("mozilla/5.0") || agent.contains("netscape") || agent.contains("mozilla/4.0") || agent.contains("mozilla/3.0") || agent.contains("mozilla/4.8") || agent.contains("firefox") || agent.contains("firebird")) {
			return "Firefox";
		} else if(agent.contains("msie") && agent.contains(".0")) {
			return "Internet Explorer";
		} else if(agent.contains("safari")) {
			return "Safari";
		}
		
		return KCodeParser.escape(agent);
	}
}
